<?php
/**
 * Init a project:
 *
 * PHPGEN is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * PHPGEN is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PHPGEN; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @copyright   EasySoft R&D Team (C) 2006
 * @author      Chunsheng Wang <wwccss@263.net>
 * @link        http://www.phpgen.com
 * @package     Project
 * @version     $Id: InitProject.php,v 1.6 2006/08/15 15:53:51 wangcs Exp $
 */
require_once("../Include/Init.php");
prjJudgeUser();

/* Copy files. */
$DirList  = prjInitDir($_SESSION["UserName"], $_SESSION["ProjectID"]);
$FileList = prjCopyBasicFrame($_SESSION["UserName"], $_SESSION["ProjectID"]);

/* Build the config file. */
$Project            = $_SESSION["Projects"][$_SESSION["ProjectID"]];
$Project["Type"]    = "SysConfig";
$Project["PhpFile"] = "Include/Config.php";

$MyGEN = new Generator($MyTPL, $_CFG["GEN"], $Project, $Project["CodeStyle"]);
$Codes = $MyGEN->parse();
$MyGEN->savePHP();

/* Build the init file. */
$Init["Type"]    = "SysInit";
$Init["PhpFile"] = "Include/Init.php";
$Codes = $MyGEN->parse($Init);
$MyGEN->savePHP();

/* Build the admin init file. */
$Init["Type"]    = "SysInitAdmin";
$Init["PhpFile"] = "Include/InitAdmin.php";
$Codes = $MyGEN->parse($Init);
$MyGEN->savePHP();

/* Build the Lang common file. */
$Lang["Type"]    = "LangCommon";
$Lang["PhpFile"] = $_CFG["UserLang"] . "/_COMMON.php";
$Codes = $MyGEN->parse($Lang);
$MyGEN->saveLang();

/* Build the CustomSet file. */
$CustomSet["Type"]    = "CustomSet";
$CustomSet["PhpFile"] = "CustomSet.php";
$Codes = $MyGEN->parse($CustomSet);
$MyGEN->savePHP();

/* Assign and display. */
$MyTPL->assign("DirList", $DirList);
$MyTPL->assign("FileList", $FileList);

$MyTPL->display($_TPL["TplFile"]);
?>